<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN">

<html>

<head>

<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">

<title>Debian Perl Policy - Perl 6</title>

<link href="index.html" rel="start">
<link href="ch-embed.html" rel="prev">
<link href="index.html" rel="next">
<link href="index.html#contents" rel="contents">
<link href="index.html#copyright" rel="copyright">
<link href="ch1.html" rel="chapter" title="1 About this document">
<link href="ch-perl.html" rel="chapter" title="2 Perl Packaging">
<link href="ch-site.html" rel="chapter" title="3 Locally Installed Modules">
<link href="ch-module_packages.html" rel="chapter" title="4 Packaged Modules">
<link href="ch-programs.html" rel="chapter" title="5 Perl Programs">
<link href="ch-embed.html" rel="chapter" title="6 Programs Embedding Perl">
<link href="ap-perl6.html" rel="appendix" title="A Perl 6">
<link href="ch-perl.html#s-versions" rel="section" title="2.1 Versions">
<link href="ch-perl.html#s-base" rel="section" title="2.2 Base Package">
<link href="ch-perl.html#s-paths" rel="section" title="2.3 Module Path">
<link href="ch-perl.html#s-docs" rel="section" title="2.4 Documentation">
<link href="ch-site.html#s-site_dirs" rel="section" title="3.1 Site Directories">
<link href="ch-site.html#s-site_install" rel="section" title="3.2 Site Installation">
<link href="ch-module_packages.html#s-vendor_dirs" rel="section" title="4.1 Vendor Directories">
<link href="ch-module_packages.html#s-package_names" rel="section" title="4.2 Module Package Names">
<link href="ch-module_packages.html#s-vendor_install" rel="section" title="4.3 Vendor Installation">
<link href="ch-module_packages.html#s-module_deps" rel="section" title="4.4 Module Dependencies">
<link href="ch-programs.html#s-hash_bang" rel="section" title="5.1 Script Magic">
<link href="ch-programs.html#s-program_deps" rel="section" title="5.2 Program Dependencies">
<link href="ch-embed.html#s-build_embedded" rel="section" title="6.1 Building Embedded Programs">
<link href="ch-embed.html#s-embedded_deps" rel="section" title="6.2 Embedded Perl Dependencies">
<link href="ch-embed.html#s-perl_upgrades" rel="section" title="6.3 Perl Package Upgrades">
<link href="ch-module_packages.html#s-indep_modules" rel="subsection" title="4.4.1 Architecture-Independent Modules">
<link href="ch-module_packages.html#s-binary_modules" rel="subsection" title="4.4.2 Binary and Other Architecture Dependent Modules">
<link href="ch-module_packages.html#s-dh_perl" rel="subsection" title="4.4.3 Automating Perl Dependencies">

</head>

<body>

<p><a name="ap-perl6"></a></p>
<hr>

<p>
[ <a href="ch-embed.html">previous</a> ]
[ <a href="index.html#contents">Contents</a> ]
[ <a href="ch1.html">1</a> ]
[ <a href="ch-perl.html">2</a> ]
[ <a href="ch-site.html">3</a> ]
[ <a href="ch-module_packages.html">4</a> ]
[ <a href="ch-programs.html">5</a> ]
[ <a href="ch-embed.html">6</a> ]
[ A ]
[ <a href="index.html">next</a> ]
</p>

<hr>

<h1>
Debian Perl Policy
<br>Appendix A - Perl 6</h1>

<hr>

<p>
The current stable upstream version at the time of this writing is 5.6.0.
There is currently work in progress on the next major revision, although the
specifications have yet to be finalised.
</p>

<p>
It is anticipated that when Perl 6 is released it will initially be packaged as
<code>perl6</code>, install the binary as <code>/usr/bin/perl6</code> and use
different directories for packaged modules to <code>perl</code>:
</p>

<pre>
     /usr/lib/perl6
     /usr/share/perl6
</pre>

<p>
This will allow Perl 5 and 6 packages and modules (which should be packaged as
<code>libfoo-bar-perl6</code>), to co-exist for as long as required.
</p>

<p>
At some stage in the future when Perl 6 is sufficiently mature, the package
naming may be reversed such that the <code>perl</code> package contains Perl 6
and the current package becomes <code>perl5</code>.
</p>

<hr>

<p>
[ <a href="ch-embed.html">previous</a> ]
[ <a href="index.html#contents">Contents</a> ]
[ <a href="ch1.html">1</a> ]
[ <a href="ch-perl.html">2</a> ]
[ <a href="ch-site.html">3</a> ]
[ <a href="ch-module_packages.html">4</a> ]
[ <a href="ch-programs.html">5</a> ]
[ <a href="ch-embed.html">6</a> ]
[ A ]
[ <a href="index.html">next</a> ]
</p>

<hr>

<p>
Debian Perl Policy
</p>

<address>
version 3.9.8.0, 2016-03-30<br>
<br>
Rapha&euml;l Hertzog<br>
Brendan O'Dea<br>
The Debian Policy mailing list <code><a href="mailto:debian-policy@lists.debian.org">mailto:debian-policy@lists.debian.org</a></code><br>
<br>
</address>
<hr>

</body>

</html>

